{% block page %}
  {{ attach_library('drowl_base/search_page') }}
  <div class="search-page">
    {% block form %}
      <div class="search-page__search-form mb-3">
        {{ form }}
      </div>
    {% endblock form %}

    {% block title %}
      {% if search_title %}
        <h2 class="search-page__result-title{% if no_of_results %} has-subline{% endif %}">{{ search_title }}</h2>
      {% endif %}
    {% endblock title %}

    {% block result_count %}
      {% if no_of_results %}
        <div class="search-page__result-amount subline mb-3">
          {{ no_of_results }}
        </div>
      {% endif %}
    {% endblock result_count %}

    {% block no_results_message %}
      {% if no_results_found %}
        {% include 'radix:alert' with {
          type: 'info',
          heading: no_results_found,
          dismissible: true,
          icon_classes: [drowl_theme_icons.info, 'ico--circled', 'ico--lg'],
          alert_utility_classes: ['mb-4', 'shadow-sm'],
          content: no_results_found ? search_help,
        } %}
      {% endif %}
    {% endblock no_results_message %}

    {% block results %}
      {% if results %}
        <div class="search-page__results">
          {{ results }}
        </div>
      {% endif %}
    {% endblock results %}

    {% block pager %}
      {% if pager %}
        <div class="search-page__pager">
          {{ pager }}
        </div>
      {% endif %}
    {% endblock pager %}
  </div>
{% endblock page %}
